<?php 
/*
Plugin Name: Jy JYTheme Smart Widget
Plugin URI: http://jytheme.com
Description: A simple and powerful WordPress plugin with which you can display JYTheme items as a WordPress widget. Several smart options are provided for selecting and ordering. You can select JYTheme latest items, popular items or items from one or more specific users. Optionally, you can connect items with your affiliate links as well.
Author: JYTheme
Version: 1.2
Author URI: http://jytheme.com
Text Domain: jy-jytheme-smart-widget
Domain Path: /languages
*/


/*  Copyright 2013  Jy  (email : support@jytheme.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


define('MTW_PLUGIN_DIR', trailingslashit(plugin_dir_path(__FILE__)));
define('MTW_PLUGIN_URI', trailingslashit(plugin_dir_url(__FILE__)));
define ('JYT_TF_WIDGET_VER', '1.2');

/* Initialize Widget */
if(!function_exists('mtw_widget_init')):
	function mtw_widget_init() {
		require_once(MTW_PLUGIN_DIR.'inc/class-jytheme-widget.php');
		register_widget('JYT_JYTheme_Widget');
	}
endif;

add_action('widgets_init','mtw_widget_init');

/* Load text domain */
function jyt_load_tf_widget_text_domain() {
  load_plugin_textdomain( 'jy-jytheme-smart-widget', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
}

add_action( 'plugins_loaded', 'jyt_load_tf_widget_text_domain');

?>